Page MenuHomePhabricator

Add feature flag to disable Special:UsersWhoWillBeRenamed and use on WMF cluster
Closed, ResolvedPublic

Description

Add a feature flag that enables/disables Special:UsersWhoWillBeRenamed (https://meta.wikimedia.org/wiki/Special:UsersWhoWillBeRenamed) on a per-wiki basis. Set that feature flag to disable the feature for WMF managed wikis.

It is empty and the sulfinalistion (renaming accounts) seems done.

Event Timeline

Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a project: GlobalRename.
Steinsplitter added subscribers: Steinsplitter, Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Steinsplitter set Security to None.
Steinsplitter updated the task description. (Show Details)
Keegan added a subscriber: Keegan.Jan 13 2016, 9:24 PM

Agreed, time to remove it.

Keegan triaged this task as Normal priority.Jan 13 2016, 9:24 PM
Keegan moved this task from Backlog to Review requested on the GlobalRename board.Jan 13 2016, 9:43 PM

Change 267162 had a related patch set uploaded (by BryanDavis):
Remove Special:UsersWhoWillBeRenamed and related code

https://gerrit.wikimedia.org/r/267162

Change 267162 abandoned by BryanDavis:
Remove Special:UsersWhoWillBeRenamed and related code

Reason:
Per Lagoktm this is not the desired approach.

https://gerrit.wikimedia.org/r/267162

bd808 renamed this task from Remove Special:UsersWhoWillBeRenamed to Add feature flag to disable Special:UsersWhoWillBeRenamed and use on WMF cluster.Jan 31 2016, 5:38 PM
bd808 updated the task description. (Show Details)

Change 267550 had a related patch set uploaded (by BryanDavis):
Add feature flag for Special:UsersWhoWillBeRenamed

https://gerrit.wikimedia.org/r/267550

@Billinghurst @Steinsplitter this will be switched off with this week's deploy.

@Billinghurst @Steinsplitter this will be switched off with this week's deploy.

What happened to this?

Reedy added a subscriber: Reedy.Feb 19 2016, 11:23 AM

Patch wasn't merged, so can't be disabled yet

It is useless to have this special page now that the SUL finalisation process is finished. What's blocking this?

Change 267550 abandoned by BryanDavis:
Add feature flag for Special:UsersWhoWillBeRenamed

https://gerrit.wikimedia.org/r/267550

It is useless to have this special page now that the SUL finalisation process is finished. What's blocking this?

What is blocking this?

TerraCodes added a subscriber: bd808.EditedDec 4 2017, 12:16 PM

@bd808 could you please restore you patch, since I don't have the option to? (https://gerrit.wikimedia.org/r/#/c/267550)

Aklapper added a comment.EditedDec 4 2017, 10:40 PM

@TerraCodes: In general, please provide reasons for requests. (The Gerrit patch has a reason why it was abandoned at that time.) Do you refer to T118637#2082056? If so, say so. :)

It is useless to have this special page now that the SUL finalisation process is finished. What's blocking this?

What is blocking this?

Is that a question for me? I'm afraid I don't have the answer, hence why I asked first the same question. I think @Legoktm knows?

It is useless to have this special page now that the SUL finalisation process is finished. What's blocking this?

What is blocking this?

Is that a question for me? I'm afraid I don't have the answer, hence why I asked first the same question. I think @Legoktm knows?

Nah, I wasn't asking you, just curious what was blocking it, since your question didn't get answered. (that I saw)

@TerraCodes: In general, please provide reasons for requests. (The Gerrit patch has a reason why it was abandoned at that time.) Do you refer to T118637#2082056? If so, say so. :)

I'm asking if https://gerrit.wikimedia.org/r/#/c/267550 can be restored, since I'm unable to restore it. I see a reason on https://gerrit.wikimedia.org/r/#/c/267162/ but not on the patch I asked to be restored?

Change 267550 restored by BryanDavis:
Add feature flag for Special:UsersWhoWillBeRenamed

Reason:
Per request of TerraCodes

https://gerrit.wikimedia.org/r/267550

While the patch looks good to me, I'd appreciate if somebody else could have a look at it. Thanks!

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Should deploy as expected to meta in a fortnight's time.

Jdforrester-WMF closed this task as Resolved.Jun 28 2018, 8:44 PM

Change 267550 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Add feature flag for Special:UsersWhoWillBeRenamed

https://gerrit.wikimedia.org/r/267550

The patch suffered a jenkins-bot failure due to a lack of memory, but if have just passed now.